Echofon for Firefox Broken on Linux; Not a Minor Issue

If you use Echofon for Firefox in Linux, you’re probably now familiar with this error message from their most recent update:

Echofon does not support this platform or custom build Firefox. (Can’t get OAuth signer.) / Cc[‘@naan.net/twitterfox-sign;1’] is undefined (Fx version 3.6.8 / ABI x86-gcc3)

This is the reason why. I’m not sure I like being considered part of a minor platform.

Echofon is nice, though. You can find the downgrade link here (it’s 1.9.6.4, not 1.9.6.5 as previously linked). I’m hoping they’ll fix this for 1.9.6.7, but given how they see Linux machines, I’m not super optimistic.